Page MenuHomePhabricator

MW-1.27.0-wmf.22 deployment blockers
Closed, ResolvedPublic

Details

Related Gerrit Patches:
mediawiki/core : masterJenkins job validation (DO NOT SUBMIT)
mediawiki/core : wmf/1.27.0-wmf.22Jenkins job validation (DO NOT SUBMIT)

Event Timeline

greg created this task.Apr 1 2016, 10:08 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 1 2016, 10:08 PM
greg moved this task from INBOX to Backlog on the Release-Engineering-Team board.Apr 1 2016, 11:07 PM

Started branch cutting of 1.27.0-wmf.22 on terbium. Though it eventually failed:

./make-wmf-branch -n 1.27.0-wmf.22 -o master
....
'git' 'submodule' 'add' '-f' '-b' 'wmf/1.27.0-wmf.22' '-q' 'https://gerrit.wikimedia.org/r/p/mediawiki/vendor.git' 'vendor'
'git' 'commit' '-a' '-q' '-m' 'Creating new WMF 1.27.0-wmf.22 branch'
'git' 'fetch' 'https://gerrit.wikimedia.org/r/p/mediawiki/core' 'refs/changes/65/274165/3'
From https://gerrit.wikimedia.org/r/p/mediawiki/core
 * branch            refs/changes/65/274165/3 -> FETCH_HEAD
'git' 'cherry-pick' 'FETCH_HEAD'
[wmf/1.27.0-wmf.22 a839ebb] [1.27.0-wmf.15] MF cache pollution debug log
 Author: Tim Starling <tstarling@wikimedia.org>
 2 files changed, 15 insertions(+)
'git' 'push' 'origin' 'wmf/1.27.0-wmf.22'
fatal: could not read Username for 'https://gerrit.wikimedia.org': No such device or address
sleeping for 5s
'git' 'push' 'origin' 'wmf/1.27.0-wmf.22'
fatal: could not read Username for 'https://gerrit.wikimedia.org': No such device or address
sleeping for 5s
'git' 'push' 'origin' 'wmf/1.27.0-wmf.22'
fatal: could not read Username for 'https://gerrit.wikimedia.org': No such device or address
sleeping for 5s
'git' 'push' 'origin' 'wmf/1.27.0-wmf.22'
fatal: could not read Username for 'https://gerrit.wikimedia.org': No such device or address
sleeping for 5s
'git' 'push' 'origin' 'wmf/1.27.0-wmf.22'
fatal: could not read Username for 'https://gerrit.wikimedia.org': No such device or address
sleeping for 5s
'git' 'push' 'origin' 'wmf/1.27.0-wmf.22'
fatal: could not read Username for 'https://gerrit.wikimedia.org': No such device or address
sleeping for 5s
[ERROR] git exit with status 128

Change 285389 had a related patch set uploaded (by Hashar):
Jenkins job validation (DO NOT SUBMIT)

https://gerrit.wikimedia.org/r/285389

Mentioned in SAL [2016-04-26T13:33:31Z] <hashar> Checking out MediaWiki 1.27.0-wmf.22 on tin | T131556

Change 285389 abandoned by Hashar:
Jenkins job validation (DO NOT SUBMIT)

https://gerrit.wikimedia.org/r/285389

Change 285396 had a related patch set uploaded (by Hashar):
Jenkins job validation (DO NOT SUBMIT)

https://gerrit.wikimedia.org/r/285396

Change 285396 abandoned by Hashar:
Jenkins job validation (DO NOT SUBMIT)

Reason:
Pass all CI jobs :-}

https://gerrit.wikimedia.org/r/285396

Mentioned in SAL [2016-04-26T14:18:35Z] <hashar> Applied security patches to 1.27.0-wmf.22 | T131556

hashar@tin Started scap: testwiki to php-1.27.0-wmf.22 and rebuild l10n cache

Been warming up HHVM byte code cache hitting test.wikipedia.org from my local machine.

Mentioned in SAL [2016-04-26T15:22:36Z] <hashar> 1.27.0-wmf.22 HHVM cache is warmed up | T131556

hashar closed this task as Resolved.Apr 28 2016, 7:12 PM

Done. Nothing more to say \O/